/**Begin D:\dbpdm\TCVVT_constraint.sql **/
 EXEC P_ALTERPK 'PK_TCVVT_MAIN_ACCOUNT', 'T_TCVVT_MAIN_ACCOUNT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAIN_ACCOUNT_FACCESS') CREATE INDEX IDX_MAIN_ACCOUNT_FACCESS ON T_TCVVT_MAIN_ACCOUNT ( FACCESSPROJECTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAIN_ACCOUNT_FSERIALNO') CREATE INDEX IDX_MAIN_ACCOUNT_FSERIALNO ON T_TCVVT_MAIN_ACCOUNT ( FSERIALNO );


 EXEC P_ALTERPK 'PK_TCVVT_MAIN_ADJUST', 'T_TCVVT_MAIN_ADJUST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVVT_MAIN_ADJUST') CREATE INDEX IDX_TCVVT_MAIN_ADJUST ON T_TCVVT_MAIN_ADJUST ( FORGID ,FSKSSQQ ,FSKSSQZ ,FCELLID );


 EXEC P_ALTERPK 'PK_TCVVT_MAIN_ADJUST_TP', 'T_TCVVT_MAIN_ADJUST_TP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVVT_MAIN_ADJUST_TP') CREATE INDEX IDX_TCVVT_MAIN_ADJUST_TP ON T_TCVVT_MAIN_ADJUST_TP ( FORGID ,FSKSSQQ ,FSKSSQZ ,FCELLID );


 EXEC P_ALTERPK 'PK_TCVVT_MAIN_DETAIL', 'T_TCVVT_MAIN_DETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVVT_MAIN_DETAIL_FORGID') CREATE INDEX IDX_TCVVT_MAIN_DETAIL_FORGID ON T_TCVVT_MAIN_DETAIL ( FORGID ,FSKSSQQ ,FSKSSQZ );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVVT_MAIN_DETAIL_FRULEID') CREATE INDEX IDX_TCVVT_MAIN_DETAIL_FRULEID ON T_TCVVT_MAIN_DETAIL ( FRULEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAIN_DETAIL_FSERIALNO') CREATE INDEX IDX_MAIN_DETAIL_FSERIALNO ON T_TCVVT_MAIN_DETAIL ( FSERIALNO );



/**End D:\dbpdm\TCVVT_constraint.sql **/
