﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVVT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVVT_CLIQUE_SUBJECT') 
 CREATE TABLE T_TCVVT_CLIQUE_SUBJECT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FYEAR DATETIME,
FKM_DM VARCHAR(100) DEFAULT ' ' NOT NULL,
FKMMC VARCHAR(500) DEFAULT ' ' NOT NULL,
FKMLX VARCHAR(1) DEFAULT ' ' NOT NULL,
FKMFX VARCHAR(1) DEFAULT ' ' NOT NULL,
FFJKM_DM VARCHAR(100) DEFAULT ' ' NOT NULL,
FND_DM VARCHAR(4) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVVT_GROUP') 
 CREATE TABLE T_TCVVT_GROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLOGINACCOUNT VARCHAR(50) DEFAULT ' ' NOT NULL,
FCELLPHONENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCELLPHONENO_ENP NCLOB,
FJTMC BIGINT DEFAULT 0 NOT NULL,
FUSERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FQUOOFREVIEW VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENTSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FNSRMC BIGINT DEFAULT 0 NOT NULL,
FNSRSBH VARCHAR(50) DEFAULT ' ' NOT NULL,
FSJNSRMC BIGINT DEFAULT 0 NOT NULL,
FSJNSRSBH VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTACTNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTACTNO_ENP NCLOB,
FBASEDATAFIELD BIGINT DEFAULT 0 NOT NULL,
FYCSJNSRMC BIGINT DEFAULT 0 NOT NULL,
FNSRSBH1 VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVVT_GROUP_L') 
 CREATE TABLE T_TCVVT_GROUP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVVT_QHJT') 
 CREATE TABLE T_TCVVT_QHJT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVVT_QHJT_L') 
 CREATE TABLE T_TCVVT_QHJT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVVT_table.sql **/
