﻿/**Begin C:\anzhuang\PDM_UPGRADE\PDM1\TCVVT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVVT_FETCH_ADJUST')
 CREATE TABLE T_TCVVT_FETCH_ADJUST (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCELLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTITLENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FADJUSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOLDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTEMPLATETYPE VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVVT_FETCH_DETAIL')
 CREATE TABLE T_TCVVT_FETCH_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FFILTERCONDITION VARCHAR(255) DEFAULT ' ' NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIZNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTEMPLATETYPE VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVVT_FETCH_SUMMARY')
 CREATE TABLE T_TCVVT_FETCH_SUMMARY (
FID BIGINT DEFAULT 0 NOT NULL,
FACCESSPROJECTID VARCHAR(75) DEFAULT ' ' NOT NULL,
FFORMULAKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXLIMIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATASOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTEMPLATETYPE VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVVT_MONTHLY_ENTITY')
 CREATE TABLE T_TCVVT_MONTHLY_ENTITY (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(2000) DEFAULT ' ' NOT NULL,
FBQ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSNTQ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSQ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYOY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHAIN DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVVT_MONTHLY_OTHER')
 CREATE TABLE T_TCVVT_MONTHLY_OTHER (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FBQ BIGINT DEFAULT 0 NOT NULL,
FSNTQ BIGINT DEFAULT 0 NOT NULL,
FSQ BIGINT DEFAULT 0 NOT NULL,
FREPORTDATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End C:\anzhuang\PDM_UPGRADE\PDM1\TCVVT_table.sql **/
